Skip to content

Count content objects and list available stages

GET
/api/v1/content/count
domain
required
Domain

Content domain: storage

string

Content domain: storage

execution_id
Any of:
string

Execution UUID or tag

stage
Any of:
string

Pipeline stage (path segment)

path
Any of:
string

Sub-path within stage

extension
Any of:
string

Extension filter (.md, .json; comma-separated)

Successful Response

ContentCountResponse
object
total
required
Total
integer
stages
required
Stages
Array<string>

Bad request

ErrorResponse

Standard error response matching FastAPI HTTPException format.

This model is used in OpenAPI response declarations for 4xx/5xx errors. The detail field matches FastAPI’s HTTPException structure.

object
detail
required
Detail

Error message (matches FastAPI HTTPException)

string
error_code
Any of:
string
correlation_id
Any of:
string
timestamp
Timestamp

Error timestamp

string format: date-time

Resource not found

ErrorResponse

Standard error response matching FastAPI HTTPException format.

This model is used in OpenAPI response declarations for 4xx/5xx errors. The detail field matches FastAPI’s HTTPException structure.

object
detail
required
Detail

Error message (matches FastAPI HTTPException)

string
error_code
Any of:
string
correlation_id
Any of:
string
timestamp
Timestamp

Error timestamp

string format: date-time

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object